stm-2.5.1.0: Software Transactional Memory

Copyright | (c) The University of Glasgow 2005
License | BSD-style (see the file libraries/base/LICENSE)
Maintainer | libraries@haskell.org
Stability | experimental
Portability | non-portable (requires STM)
Safe Haskell | Trustworthy
Language | Haskell2010

Control.Concurrent.STM.TArray

Description

Synopsis

- data TArray i e

# Documentation

data TArray i e Source #

TArray is a transactional array, supporting the usual `MArray` interface for mutable arrays.

It is currently implemented as `Array ix (TVar e)`, but it may be replaced by a more efficient implementation in the future (the interface will remain the same, however).

#### Instances

Instances details

MArray TArray e STM Source # |

Instance details

Defined in Control.Concurrent.STM.TArray

Methods

getBounds :: Ix i => TArray i e -> STM (i, i) Source #

getNumElements :: Ix i => TArray i e -> STM Int

newArray :: Ix i => (i, i) -> e -> STM (TArray i e) Source #

newArray_ :: Ix i => (i, i) -> STM (TArray i e) Source #

unsafeNewArray_ :: Ix i => (i, i) -> STM (TArray i e)

unsafeRead :: Ix i => TArray i e -> Int -> STM e

unsafeWrite :: Ix i => TArray i e -> Int -> e -> STM ()

Ix i => Eq (TArray i e) Source # |
Instance details Defined in Control.Concurrent.STM.TArray Methods (==) :: TArray i e -> TArray i e -> Bool # (/=) :: TArray i e -> TArray i e -> Bool #